# https://lefthook.dev/configuration/

pre-commit:
  jobs:
    - name: "gofmt"
      glob: "*.go"
      run: "gofmt -w {staged_files}"
      stage_fixed: true

    - name: "go vet"
      glob: "*.go"
      run: "go vet ./..."

    - name: "golangci-lint"
      glob: "*.go"
      run: "golangci-lint run"

    - name: "go test"
      glob: "*.go"
      run: "go test ./..."

    - name: "gitleaks"
      run: "gitleaks git --staged"
